Enforce MacOS version

expand collapsive

Hello,

 

I’d like to know if it’s possible to enforce the minimum and maximum MacOS software version? I’d like to enforce all laptops to be in MacOS 12.0 (Monterey), because some users still haven’t updated their laptops and it’s painful to manually go through each one of the laptops and enforce an OS update.

 

Thank you!

All Replies

  • Avatar

    Evin Lee

    Hexnode

    Evin Lee

    Moderator

    Hi @alejandro-fernandez

    Thanks for reaching out to us. 

    We currently do not have a feature that enforces minimum and maximum OS versions on Mac. However, you can use the Update OS action on the Hexnode portal to update the devices to the latest versions available. If macOS Monterey is available for update on your devices, the Update OS action will get the job done. However, macOS Monterey is not compatible with all devices. You can check Apple’s Documentation to identify the compatible devices. 

    Please note that devices enrolled in Apple DEP can only be updated via Hexnode. Also, before proceeding, backup up the devices and make sure that they are sufficiently charged and have enough storage space. 

    Follow the steps below to update devices remotely. 

    1. Navigate to the Manage tab on the Hexnode portal. 
    2. Select the required devices. 
    3. Go to the Actions drop-down menu, and click on Update OS
    4. Select ‘Download and Install’, and click on Update . The devices will prompt the end-user to enter the passcode if they are passcode protected. 

    Hope this helps your query. 

    Thanks 
    Evin Lee 
    Hexnode UEM